* {
  box-sizing: border-box;
}

body {
  font-family: "Jost", sans-serif;
  margin: 0;
  padding: 0;
  height: 100vh;
  background: linear-gradient(90deg, #1cb5e0 0%, #000851 100%);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.music-container {
  background: linear-gradient(90deg, #1cb5e0 0%, #000851 100%);
  border: 1.5px solid #518089;
  width: 350px;
  height: 500px;
  border-radius: 10px;
  padding-inline: 20px;
 box-shadow: 0px 62px 142px 13px rgba(0,0,0,0.63);
-webkit-box-shadow: 0px 62px 142px 13px rgba(0,0,0,0.63);
-moz-box-shadow: 0px 62px 142px 13px rgba(0,0,0,0.63);
}

img {
  width: 150px;
  border-radius: 50%;
  animation: rotate 7s linear infinite;
  animation-play-state: paused;
}

@keyframes rotate {
  from {
    transform:rotate(0deg)
  }
  to {
    transform: rotate(360deg);
  }
}

#music-disc {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-top: 60px;
}

#music-disc:after {
  content: "";
  background: linear-gradient(90deg, #1cb5e0 0%, #000851 100%);
  height: 40px;
  width: 40px;
  border-radius: 50%;
  left: 44%;
  bottom: 36%;
  position: absolute;

}

.music-container.play #music-disc img {
    animation-play-state: running;
}

.navigation {
    display:flex;
    gap:15px;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
}

button {
    background-color: transparent;
    border:0px;
}

i {
    color: rgb(172, 211, 253);
    cursor: pointer;
    transition: 0.4s;
}

i:hover {
    color: rgb(246, 205, 42);
    transform: scale(1.05);
}

#next,#prev {
    font-size: 29px;
}

#play {
    font-size: 50px;
}

#play.active i{
  color: rgb(246, 205, 42);
  
  
}


#music-title {
  margin-top: 50px;
  color: #ffffff;
  opacity: 0.7;
  overflow: hidden;
  white-space: nowrap;
  font-size: 21px;
}

#music-title span{
display: inline-block;
padding-left:100%;
animation: marquee 10s linear infinite;

}

@keyframes marquee {
  from{
transform: translateX(0);
  }
  to {
transform: translateX(-100%)
  }
  
}



.progress-container {
  width:100%;
  background-color: rgb(125, 189, 244);
  border-radius: 3px;
  margin:20px 0;
  height:4px;
  cursor: pointer;
  transition: 0.4s;
}

.progress-container:hover{
 height: 6px;
  
  #progress {
    height: 6px;
  }
}

#progress {
  width:0%;
  background-color: #214ad4;
  height: 4px;
  border-radius: 3px;
  transition: width 0.1s linear;
  cursor: pointer;
  transition: 0.4s;
}

#repeat, #shuffle {
  font-size: 21px;
}


#repeat.active, #shuffle.active {
  color:rgb(246, 205, 42);
  
}

.time {
  color: rgb(125, 189, 244);
  display: flex;
  justify-content: space-between;
    color: #ffffff;
    opacity: 0.7;
}
